classification
Title: IDLE - allow shell to support different locales
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.5
process
Status: closed Resolution: rejected
Dependencies: 15809 Superseder:
Assigned To: Nosy List: BreamoreBoy, asvetlov, ezio.melotti, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2012-03-15 19:15 by roger.serwy, last changed 2017-06-23 07:44 by terry.reedy. This issue is now closed.

Messages (3)
msg155939 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-03-15 19:15
Per Martin's request, this issue has been separated from Issue14200. 

The IDLE shell presently has an effective locale of "BMP UTF8" due to a limitation in Tkinter, described in Issue12342. 

IDLE should support different output codecs, like "ascii" and "utf8". In order to work around Tkinter's limitations, unsupported characters would be replaced (this is related to #14304).

This amounts to adding some extra code to OutputWindow's write() to raise encoding errors if the string contains unsupported characters.
msg223126 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-15 17:23
@Terry one that appears to have escaped your eagle eye :)
msg228169 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-02 07:11
I do not understand this issue. Locales (the title) and codecs (the message) are different things.  A Tk Text widget, with Idle's wrapper, is essentially a BMP terminal. That is one thing that makes Idle's Shell better than Window's command prompt.  An ascii codec would add to tk's limitations, not work around them.  #14304 does what I think is needed.

Pending some clarification of the proposal and benefits, I think this should be closed.
History
Date User Action Args
2017-06-23 07:44:06terry.reedysetstatus: open -> closed
resolution: rejected
stage: resolved
2014-10-02 07:11:35terry.reedysetmessages: + msg228169
2014-07-15 17:23:58BreamoreBoysetnosy: + terry.reedy, BreamoreBoy

messages: + msg223126
versions: + Python 3.5, - Python 3.3
2013-04-23 08:08:28serhiy.storchakasetdependencies: + 2.7 IDLE console uses incorrect encoding.
2012-03-16 01:43:57asvetlovsetnosy: + asvetlov
2012-03-15 19:38:21ezio.melottisetnosy: + ezio.melotti
2012-03-15 19:15:20roger.serwycreate